# UDIMTiles(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``UDIMTiles`(bpy_struct)

  Collection of UDIM tiles

  `active`

    Active Image Tile

    Type: | `UDIMTile`, (never None)

  `active_index`

    Active index in tiles array

    Type: | int in [0, inf], default 0

  `new`(tile_number, label="")

    Add a tile to the image

    Parameters: | tile_number (int in [1, inf]) – Number of the newly created tile label (string, (optional, never None)) – Optional label for the tile
    Returns: | Newly created image tile
    Return type: | `UDIMTile`

  `get`(tile_number)

    Get a tile based on its tile number

    Parameters: | tile_number (int in [0, inf]) – Number of the tile
    Returns: | The tile
    Return type: | `UDIMTile`

  `remove`(tile)

    Remove an image tile

    Parameters: | tile (`UDIMTile`, (never None)) – Image tile to remove

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Image.tiles` |